class PostController {

  def defaultAction="index"

  def beforeInterceptor = {
    if (!session?.login)  {
      redirect(controller:'login')
      return false
    }
  }

  def index = {
    def messageList = []
    def display = ''

    if ( params.name )  {
      messageList = User.findByName( params.name ).messages
      display = "[U[${params.name}ebZ[W"
    } else {
      messageList = User.findByName( session.user ).messages
      display = 'OC[U[ebZ[W'
    }

    messageList = messageList.sort { -it.dateCreate.time }

    [ messageList : messageList, display : display,
      defaultMessage:'bZ[W𓊍e', name : session.user ]
  }

  def post = {
    def message = (params.message && params.message != 'bZ[W𓊍e' ) ?
                  params.message : null
    if ( message )  {
    /*
      User.findByName( session.user ).addToMessages(
        new Miniblog( message:params.message, dateCreate:new Date() )
      ).save()
    */
      new Miniblog( user:User.findByName( session.user ), message:params.message, dateCreate:new Date() ).save()
    }
    render( view : 'index',
            model:[ messageList : Miniblog.listOrderByDateCreate(order:'desc'),
                    defaultMessage:'bZ[W𓊍e', name : session.user ] )
  }
}

