import java.text.SimpleDateFormat
import groovy.xml.MarkupBuilder

class MiniblogTagLib {

  def messageTable = { attrs ->    // attrs, body -> bodyp

    def messages  = attrs.messages
    def formatter = new SimpleDateFormat( "yyyy/MM/dd HH:mm:ss" )

    def builder = new MarkupBuilder( out )

    builder.table {
      if ( messages?.size )  {
        builder.thead {
          caption( "${messages.size}̓e܂" )
          tr {
            th( '[U[' )
            th( 'bZ[W' )
            th( 'e' )
          }
        }
        builder.tbody {
          messages.each { miniblog ->
            builder.tr() {
              td {
                a( href:( index() + '?name=' + miniblog.user.name ), miniblog.user.name )
              }
              td( miniblog.message )
              td( formatter.format( miniblog.dateCreate ) )
            }
          }
        }
      } else {
        builder.tr {
          td( 'e͂܂' )
        }
      }
    }

  }

}